phpMyAdmin - Brak rozszerzenia mysqli. Nie można przeinstalować

Odpowiedz Nowy wątek
2019-09-05 13:55
0

Probuję uruchomić phpmyadmin na moim serwerze (na linuxie). Niestety zamiast ekranu logowania widzę:

Brak rozszerzenia mysqli. Proszę sprawdzić konfigurację PHP. Zobacz naszą dokumentację, aby uzyskać więcej informacji.

Z tego co się orientuję, wszystkie potrzebne pakiety zostały zainstalowane. Problem w tym, że pakiet phpmyadmin wygląda na uszkodzony.

Kiedy próbuję odinstalować phpmyadmin:

sudo apt-get purge phpmyadmin

Widzę coś takiego:

[...]
Kontynuować? [T/n] T
dpkg: błąd przetwarzania pakietu phpmyadmin (--remove):
pakiet jest w złym stanie - powinien zostać przeinstalowany przed usunięciem
Wystąpiły błędy podczas przetwarzania:
phpmyadmin

W jaki sposób mogę usunąć całkowicie uszkodzonego phpmyadmin'a i zbudować na nowo konfigurację?

Pozostało 580 znaków

2019-09-05 14:14
0

Dodaj w PHP.ini w extentions mysqli, jednak najwyraźniej go nie masz.

Pozostało 580 znaków

2019-09-05 15:32
0
jurek1980 napisał(a):

Dodaj w PHP.ini w extentions mysqli, jednak najwyraźniej go nie masz.

Dopisałem do php.ini

extension=mysqli

Następnie przeładowałem konfigurację:

$ sudo /etc/init.d/apache2 reload

Nadal ten sam problem

Pozostało 580 znaków

2019-09-05 15:56
0

sudo apt-get purge php-mysqli
sudo apt-get install php-mysqli
no i tu jeszcze zależy jak masz php skonfigurowane i jego wersje
z phpmyadmin zrób to samo

edytowany 2x, ostatnio: hzmzp, 2019-09-05 15:57

Pozostało 580 znaków

2019-09-06 09:12
0
hzmzp napisał(a):

sudo apt-get purge php-mysqli
sudo apt-get install php-mysqli
no i tu jeszcze zależy jak masz php skonfigurowane i jego wersje
z phpmyadmin zrób to samo

No właśnie problem w tym że nie bardzo mogę to zrobić. Ubuntu zamiast php-mysqli wybiera php7.2-mysql (czyli rozpoznaje zainstalowany pakiet), no ale finalnie nie usuwa żadnych pakietów.

$ sudo apt-get purge php-mysqli
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
Uwaga, wybieranie "php7.2-mysql" zamiast "php-mysqli"
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 2 nieaktualizowanych.
1 nie w pełni zainstalowanych lub usuniętych.
Konieczne pobranie 0 B/3 861 kB archiwów.
Po tej operacji zostanie dodatkowo użyte 0 B miejsca na dysku.

No i martwi mnie jeszcze ten fragment: "1 nie w pełni zainstalowanych lub usuniętych."

Pozostało 580 znaków

2019-09-06 09:17
0

to dpkg -l | grep php
dpkg -- purge --force-all <nazwa_pakietu>

edytowany 1x, ostatnio: hzmzp, 2019-09-06 09:19

Pozostało 580 znaków

Odpowiedz
Liczba odpowiedzi na stronę

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0